import { JSX } from 'react';
import { IconButton } from '@/shared/IconButton';

interface LayersDrawerObjectActionsProps {
  bringToFront: () => void;
  bringToBack: () => void;
  removeObject: () => void;
  centerObject: () => void;
  editObject: () => void;
}

export const LayersDrawerObjectActions = ({
  bringToFront,
  bringToBack,
  removeObject,
  centerObject,
  editObject,
}: LayersDrawerObjectActionsProps): JSX.Element | null => {
  return (
    <div className="flex shrink-0 gap-2">
      <IconButton
        icon="center"
        className="h-auto w-auto bg-transparent p-0"
        title="Center"
        onClick={centerObject}
      />
      <IconButton
        icon="edit"
        className="h-auto w-auto bg-transparent p-0"
        title="Edit"
        onClick={editObject}
      />
      <IconButton
        icon="bring-front"
        className="h-auto w-auto bg-transparent p-0"
        title="Bring to front"
        onClick={bringToFront}
      />
      <IconButton
        icon="bring-back"
        className="h-auto w-auto bg-transparent p-0"
        title="Bring to back"
        onClick={bringToBack}
      />
      <IconButton
        icon="trash"
        className="h-auto w-auto bg-transparent p-0 "
        classNameIcon="group-hover:fill-red-700 group-active:fill-red-700 fill-red-600"
        title="Remove"
        onClick={removeObject}
      />
    </div>
  );
};
